
CREATE TABLE GRLWTNFC (
       ATNFC_EMPRESA         CHAR(2)   NOT NULL,
       ATNFC_UNIDADE         CHAR(8)   NOT NULL,
       ATNFC_TIPO_NOTA       CHAR(3)   NOT NULL,
       ATNFC_DESCRICAO       CHAR(80)  NOT NULL,
       ATNFC_DESC_ABREV      CHAR(20)  NOT NULL,
       ATNFC_DOCUMENTO       CHAR(5)   NOT NULL,
       ATNFC_DUPLICATA       CHAR(1)   NOT NULL,
       ATNFC_CODIGO          CHAR(3)   NOT NULL,
       ATNFC_FINALIDADE      CHAR(1)   NOT NULL,
       ATNFC_EMISSOR         CHAR(1)   NOT NULL,
       ATNFC_SINTEGRA        CHAR(2)   NOT NULL,
       ATNFC_CHAVE_ELE       CHAR(1)   NOT NULL );

INSERT INTO GRLWTNFC SELECT ATNFC_EMPRESA,ATNFC_UNIDADE,ATNFC_TIPO_NOTA,
ATNFC_DESCRICAO,ATNFC_DESC_ABREV,ATNFC_DOCUMENTO,ATNFC_DUPLICATA,
ATNFC_CODIGO,ATNFC_FINALIDADE,ATNFC_EMISSOR,ATNFC_SINTEGRA,'N' 
FROM GRLATNFC;

DROP TABLE GRLATNFC;

CREATE TABLE GRLATNFC (
       ATNFC_EMPRESA         CHAR(2)   NOT NULL,
       ATNFC_UNIDADE         CHAR(8)   NOT NULL,
       ATNFC_TIPO_NOTA       CHAR(3)   NOT NULL,
       ATNFC_DESCRICAO       CHAR(80)  NOT NULL,
       ATNFC_DESC_ABREV      CHAR(20)  NOT NULL,
       ATNFC_DOCUMENTO       CHAR(5)   NOT NULL,
       ATNFC_DUPLICATA       CHAR(1)   NOT NULL,
       ATNFC_CODIGO          CHAR(3)   NOT NULL,
       ATNFC_FINALIDADE      CHAR(1)   NOT NULL,
       ATNFC_EMISSOR         CHAR(1)   NOT NULL,
       ATNFC_SINTEGRA        CHAR(2)   NOT NULL,
       ATNFC_CHAVE_ELE       CHAR(1)   NOT NULL );

INSERT INTO GRLATNFC SELECT * FROM GRLWTNFC;

UPDATE GRLATNFC SET ATNFC_CHAVE_ELE = 'S' WHERE ATNFC_SINTEGRA = '55';
UPDATE GRLATNFC SET ATNFC_CHAVE_ELE = 'S' WHERE ATNFC_SINTEGRA = '57';
UPDATE GRLATNFC SET ATNFC_CHAVE_ELE = 'S' WHERE ATNFC_SINTEGRA = '65';

CREATE UNIQUE INDEX GRL1TNFC ON GRLATNFC ( ATNFC_EMPRESA,
                                           ATNFC_UNIDADE,
                                           ATNFC_TIPO_NOTA );
CREATE        INDEX GRL2TNFC ON GRLATNFC ( ATNFC_EMPRESA,
                                           ATNFC_UNIDADE,
                                           ATNFC_DOCUMENTO );
CREATE        INDEX GRL3TNFC ON GRLATNFC ( ATNFC_EMPRESA,
                                           ATNFC_UNIDADE,
                                           ATNFC_CODIGO );
CREATE        INDEX GRL4TNFC ON GRLATNFC ( ATNFC_SINTEGRA );
GRANT ALL ON GRLATNFC TO BYTEC;

DROP TABLE GRLWTNFC;

COMMIT;
