
CREATE TABLE VNDWNFDI (
       ANFDI_EMPRESA         CHAR(2)   NOT NULL,
       ANFDI_UNIDADE         CHAR(8)   NOT NULL,
       ANFDI_TIPO_NOTA       CHAR(1)   NOT NULL,
       ANFDI_NUM_NOTA        CHAR(10)  NOT NULL,
       ANFDI_LINHA_NOTA      CHAR(2)   NOT NULL,
       ANFDI_NUM_GUIA        CHAR(15)  NOT NULL,
       ANFDI_TIPO_GUIA       CHAR(1)   NOT NULL,
       ANFDI_DATA_GUIA       CHAR(8)   NOT NULL,
       ANFDI_DATA_DESEMB     CHAR(8)   NOT NULL,
       ANFDI_LOCAL_DESEMB    CHAR(60)  NOT NULL,
       ANFDI_UF_DESEMB       CHAR(2)   NOT NULL,
       ANFDI_VIA_TRANSP      CHAR(2)   NOT NULL,
       ANFDI_VALOR_AFRMM     DEC(12,2) NOT NULL,
       ANFDI_TIPO_IMPO       CHAR(1)   NOT NULL,
       ANFDI_CNPJ_TERC       CHAR(14)  NOT NULL,
       ANFDI_UF_TERC         CHAR(2)   NOT NULL,
       ANFDI_TIPO_EXP        CHAR(1)   NOT NULL,
       ANFDI_COD_EXP         CHAR(5)   NOT NULL );

INSERT INTO VNDWNFDI SELECT ANFDI_EMPRESA,ANFDI_UNIDADE,ANFDI_TIPO_NOTA,
ANFDI_NUM_NOTA,ANFDI_LINHA_NOTA,ANFDI_NUM_GUIA,ANFDI_TIPO_GUIA,ANFDI_DATA_GUIA,
ANFDI_DATA_DESEMB,ANFDI_LOCAL_DESEMB+'                                        ',
ANFDI_UF_DESEMB,ANFDI_VIA_TRANSP,ANFDI_VALOR_AFRMM,ANFDI_TIPO_IMPO,
ANFDI_CNPJ_TERC,ANFDI_UF_TERC,ANFDI_TIPO_EXP,ANFDI_COD_EXP FROM VNDANFDI;

DROP TABLE VNDANFDI;

CREATE TABLE VNDANFDI (
       ANFDI_EMPRESA         CHAR(2)   NOT NULL,
       ANFDI_UNIDADE         CHAR(8)   NOT NULL,
       ANFDI_TIPO_NOTA       CHAR(1)   NOT NULL,
       ANFDI_NUM_NOTA        CHAR(10)  NOT NULL,
       ANFDI_LINHA_NOTA      CHAR(2)   NOT NULL,
       ANFDI_NUM_GUIA        CHAR(15)  NOT NULL,
       ANFDI_TIPO_GUIA       CHAR(1)   NOT NULL,
       ANFDI_DATA_GUIA       CHAR(8)   NOT NULL,
       ANFDI_DATA_DESEMB     CHAR(8)   NOT NULL,
       ANFDI_LOCAL_DESEMB    CHAR(60)  NOT NULL,
       ANFDI_UF_DESEMB       CHAR(2)   NOT NULL,
       ANFDI_VIA_TRANSP      CHAR(2)   NOT NULL,
       ANFDI_VALOR_AFRMM     DEC(12,2) NOT NULL,
       ANFDI_TIPO_IMPO       CHAR(1)   NOT NULL,
       ANFDI_CNPJ_TERC       CHAR(14)  NOT NULL,
       ANFDI_UF_TERC         CHAR(2)   NOT NULL,
       ANFDI_TIPO_EXP        CHAR(1)   NOT NULL,
       ANFDI_COD_EXP         CHAR(5)   NOT NULL );

INSERT INTO VNDANFDI SELECT * FROM VNDWNFDI;

CREATE UNIQUE INDEX VND1NFDI ON VNDANFDI ( ANFDI_EMPRESA,
                                           ANFDI_UNIDADE,
                                           ANFDI_TIPO_NOTA,
                                           ANFDI_NUM_NOTA,
                                           ANFDI_LINHA_NOTA,
                                           ANFDI_NUM_GUIA );
CREATE        INDEX VND2NFDI ON VNDANFDI ( ANFDI_EMPRESA,
                                           ANFDI_UNIDADE,
                                           ANFDI_NUM_GUIA );
CREATE        INDEX VND3NFDI ON VNDANFDI ( ANFDI_UF_DESEMB );
CREATE        INDEX VND4NFDI ON VNDANFDI ( ANFDI_EMPRESA,
                                           ANFDI_UNIDADE,
                                           ANFDI_TIPO_EXP,
                                           ANFDI_COD_EXP );
CREATE        INDEX VND5NFDI ON VNDANFDI ( ANFDI_TIPO_EXP,
                                           ANFDI_COD_EXP );
CREATE        INDEX VND6NFDI ON VNDANFDI ( ANFDI_VIA_TRANSP );
CREATE        INDEX VND7NFDI ON VNDANFDI ( ANFDI_UF_TERC );
GRANT ALL ON VNDANFDI TO BYTEC;

DROP TABLE VNDWNFDI;

COMMIT;
